{ config, lib, pkgs, ... }:

{
  imports = [
    ./hardware-configuration.nix
    ../../modules

    ./services/invidious
    ./services/libreddit.nix
    ./services/nitter.nix
    ./services/sbruder.xyz
    ./services/schabernack.nix
  ];

  sbruder = {
    nginx.hardening.enable = true;
    wireguard.home.enable = true;
    full = false;
    trusted = false;
  };

  networking.hostName = "yuzuru";

  system.stateVersion = "21.05";

  networking.firewall.allowedTCPPorts = [ 80 443 ];

  services.nginx = {
    enable = true;

    recommendedGzipSettings = true;
    recommendedOptimisation = true;
    recommendedProxySettings = true;
    recommendedTlsSettings = true;
  };

  services.journald.extraConfig = ''
    MaxRetentionSec=1week
  '';
}
