{ config, lib, pkgs, modulesPath, ... }:

{
  imports = [
    (modulesPath + "/profiles/qemu-guest.nix")
  ];

  boot = {
    initrd.kernelModules = [ "nvme" ];
    loader.grub.device = "/dev/disk/by-id/scsi-0QEMU_QEMU_HARDDISK_drive-scsi0-0-0-0";
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/b8ceb0bf-1a67-484b-bf57-c16653c23716";
      fsType = "btrfs";
      options = [ "discard=async" "noatime" "compress=zstd" ];
    };
  };

  networking = {
    useDHCP = false;
    usePredictableInterfaceNames = false;
    interfaces.eth0 = {
      useDHCP = true;
      ipv6.addresses = lib.singleton {
        address = "2a01:4f9:c010:e4a7::";
        prefixLength = 64;
      };
    };
    defaultGateway6 = {
      address = "fe80::1";
      interface = "eth0";
    };
  };

  # no smart on qemu disk
  services.smartd.enable = false;
}
